Katello - Bug #6389

Content hosts list is exceedingly slow

06/25/2014 03:19 PM - Partha Aji

Status: Closed

Priority: Normal

Assignee: Justin Sherrill

Category: Web Ul

Target version: Katello 2.0

Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1113170 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1113170

Rendering a list of Content Hosts (approximately 10 registered hosts) takes 2-3 minutes.

If you turn on SQL debug you see pages and pages of:

CACHE (0.0ms) SELECT COUNT (
) FROM "katello_repositories" WHERE
ries"."content_id" = '2112'

CACHE (0.0ms) SELECT COUNT (
) FROM "katello_repositories" WHERE
ries"."content_id" = '2113"

CACHE (0.0ms) SELECT COUNT (
) FROM "katello_repositories" WHERE
ries"."content_id" = '1625'

CACHE (0.0ms) SELECT COUNT (
) FROM "katello_repositories" WHERE
ries"."content_id" = '1922"

CACHE (0.Oms) SELECT COUNT (
) FROM "katello_repositories" WHERE
ries"."content_id" = '2816"'

CACHE (0.0ms) SELECT COUNT (
) FROM "katello_repositories" WHERE
ries"."content_id" = '2815"

CACHE (0.0Oms) SELECT COUNT (
) FROM "katello_repositories" WHERE
ries"."content_id" = '1923"'

CACHE (0.Oms) SELECT COUNT (
) FROM "katello_repositories" WHERE
ries"."content_id" = '2114"

CACHE (0.0ms) SELECT COUNT (
) FROM "katello_repositories" WHERE
ries"."content_id" = '1921'

CACHE (0.0ms) SELECT COUNT (
) FROM "katello_repositories" WHERE

ries"."content_id" = '1871"
Associated revisions

Revision d1229eae - 06/25/2014 06:56 PM - Justin Sherrill

fixes #6389 - removing available content for content hosts rabl

as this was causing very very long load times for the content hosts page
Also removing from akey show.rabl, as its not needed and would slow down there

too

Revision 468ba21f - 06/25/2014 07:12 PM - Justin Sherrill

05/17/2024

1/2



https://bugzilla.redhat.com/show_bug.cgi?id=1113170

Merge pull request #4349 from jIsherrill/chosts

fixes #6389 - removing available content for content hosts rabl

History

#1 - 06/25/2014 07:14 PM - Justin Sherrill

- Status changed from New to Closed

- Assignee set to Justin Sherrill

- Target version set to 48

- translation missing: en.field_release set to 13
- Difficulty set to easy

- Triaged set to No

https://github.com/Katello/katello/pull/4349

#2 - 06/25/2014 07:31 PM - Eric Helms

- Triaged changed from No to Yes

05/17/2024

22


https://github.com/Katello/katello/pull/4349
